Bug 244821 - Dash and Line styles are not displayed
Summary: Dash and Line styles are not displayed
Status: VERIFIED FIXED
Alias: None
Product: calligrastage
Classification: Unclassified
Component: filter/ppt (show other bugs)
Version: SVN
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-16 07:05 UTC by swathi
Modified: 2011-05-04 13:51 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test data to be opened in Kpresenter (19.00 KB, application/vnd.ms-powerpoint)
2010-07-16 07:05 UTC, swathi
Details
Screenshot in Kpresenter (125.75 KB, image/x-png)
2010-07-16 07:06 UTC, swathi
Details
Screenshot in MS Powerpoint 2003 (84.29 KB, image/x-png)
2010-07-16 07:07 UTC, swathi
Details
ODP file created using Koconverter (3.50 KB, application/vnd.oasis.opendocument.presentation)
2010-08-16 08:14 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2010-07-16 07:05:19 UTC
Created attachment 49193 [details]
Test data to be opened in Kpresenter

Version:           svn (using KDE 4.4.3) 
OS:                Linux

Dash,Line styles applied for the  layouts are not displayed.
Test document is created using MS Powerpoint 2003.
It contains the Dash and Line styles.


Reproducible: Always

Steps to Reproduce:
1. Open the attached document in MS Powerpoint 2003.
2. Open the same document in KOffice.
3. Observe the styles of the layouts in the slides. 


Actual Results:  
Kpresenter is not  displaying  Dash and Line styles.
see attachment mp03_line_style_colored-kpresenter.png.

Expected Results:  
Kpresenter should be able to display the Dash and Line styles.
see attachment mp03_line_style_colored-msppt.png.

SOFTWARE VERSION:
  Kubuntu 9.10
  Koffice (svn version 1148832)
  Test document (MS Powerpoint 2003):mp03_line_style_colored.ppt
Comment 1 swathi 2010-07-16 07:06:37 UTC
Created attachment 49194 [details]
Screenshot in Kpresenter
Comment 2 swathi 2010-07-16 07:07:20 UTC
Created attachment 49195 [details]
Screenshot in MS Powerpoint 2003
Comment 3 swathi 2010-07-16 07:11:06 UTC
adding nandita in CC.
Comment 4 swathi 2010-08-16 08:12:04 UTC
Converted the test document to a .odp file using koconverter. 
OOImpress  loads the document better than Kpresenter.(Here Line styles with colors are displaying,but dashed line styles are not displaying properly.Dashed lines are also displaying like normal line styles).
Comment 5 swathi 2010-08-16 08:14:09 UTC
Created attachment 50601 [details]
ODP  file created using Koconverter
Comment 6 Camilla Boemann 2011-04-08 17:38:14 UTC
Please note that odf doesn't support that many linestyles, without the odf becoming invalid
Comment 7 LukasT 2011-04-12 18:30:28 UTC
Git commit 954d470e43ff2b040d5c7c7c3e32c70c5becbeb2 by Lukáš Tvrdý.
Committed on 12/04/2011 at 18:16.
Pushed by lukast into branch 'master'.

Fixing the dash styles in filters

o fix the referencing of the dash style
o move the dash style definition to libmso

Now we generate odf that is displayed
correctly in OpenOffice

CCBUG:244821

M  +2    -64   filters/kpresenter/powerpoint/globalobjectcollectors.h     
M  +77   -3    filters/libmso/ODrawToOdf.cpp     
M  +1    -1    filters/libmso/ODrawToOdf.h     

http://commits.kde.org/calligra/954d470e43ff2b040d5c7c7c3e32c70c5becbeb2
Comment 8 LukasT 2011-04-12 18:30:28 UTC
Git commit 95a4d1ed550a2c00c8a1473a6ed768a1dd6d5974 by Lukáš Tvrdý.
Committed on 12/04/2011 at 18:18.
Pushed by lukast into branch 'master'.

Fixing the dash style parsing/diplaying

o don't ignore the dash dots counts
o parse the percentage values if present

BUG:244821

M  +45   -8    libs/odf/KoOdfGraphicStyles.cpp     

http://commits.kde.org/calligra/95a4d1ed550a2c00c8a1473a6ed768a1dd6d5974
Comment 9 swathi 2011-05-04 13:51:16 UTC
Verified in df1a8d36dcc689caecf341f3d4dfd9632cadaaf9.